curl --request GET \
--url https://api.example.com/turnos/daysconst options = {method: 'GET'};
fetch('https://api.example.com/turnos/days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos/days"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos/days"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos/days",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos/days")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"total": 10,
"collaborators": [
{
"id": "123-456abc",
"name": "Fulano de Tal",
"documentNumber": "15621118054",
"days": [
{
"date": "2026-01-01T00:00:00.000Z",
"type": "NORMAL",
"shiftType": "turnoFixo",
"isFromShiftException": false,
"isFromDayException": false,
"isVacation": false,
"isLeave": false,
"isInShutdown": false
}
],
"photo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg"
}
],
"alerts": [
{
"collaboratorId": "123-456abc",
"collaboratorName": "Fulano de Tal",
"date": "2026-01-01T00:00:00.000Z",
"alert": "Colaborador escalado não realizou marcações de ponto neste dia"
}
],
"page": 0,
"limit": 10
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Busca dias de turno de colaboradores de acordo com os filtros
curl --request GET \
--url https://api.example.com/turnos/daysconst options = {method: 'GET'};
fetch('https://api.example.com/turnos/days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/turnos/days"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/turnos/days"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/turnos/days",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/turnos/days")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"total": 10,
"collaborators": [
{
"id": "123-456abc",
"name": "Fulano de Tal",
"documentNumber": "15621118054",
"days": [
{
"date": "2026-01-01T00:00:00.000Z",
"type": "NORMAL",
"shiftType": "turnoFixo",
"isFromShiftException": false,
"isFromDayException": false,
"isVacation": false,
"isLeave": false,
"isInShutdown": false
}
],
"photo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg"
}
],
"alerts": [
{
"collaboratorId": "123-456abc",
"collaboratorName": "Fulano de Tal",
"date": "2026-01-01T00:00:00.000Z",
"alert": "Colaborador escalado não realizou marcações de ponto neste dia"
}
],
"page": 0,
"limit": 10
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Query Parameters
Texto pesquisado para filtrar consulta
Página que deseja retornar os resultados
0
Quantidade de itens que retorna na consulta. Min 1 - Max 100
100
Data inicial para filtro
"2026-01-01T00:00:00.000Z"
Data final para filtro
"2026-01-31T00:00:00.000Z"
Filtro por IDs de cargo, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de departamento, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de equipe, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de turno, separados por vírgula. Ex: "id1,id2"
Filtro por IDs de unidade de negócio, separados por vírgula, Ex: "id1,id2"
Filtro por IDs de centro de custo, separados por vírgula, Ex: "id1,id2"
Filtro por tipos de turno, separados por vírgula. Ex.: "turnoFixo,turnoFlexivel,turnoRevezamento,turnoCiclo"
Response
Lista de dias de turno